Loading...
Searching...
No Matches
TransferPrimitiveAttributesOp< GridType > Class Template Reference

`#include <openvdb_houdini/AttributeTransferUtil.h>`

## Public Types

using | IndexT = typename GridType::ValueType
using | IndexAccT = typename GridType::ConstAccessor
using | AttrCopyPtrVec = std::vector<AttributeCopyBase::Ptr>

## Public Member Functions

| TransferPrimitiveAttributesOp (const GU_Detail &sourceGeo, GU_Detail &targetGeo, const GridType &indexGrid, AttrCopyPtrVec &primAttributes, AttrCopyPtrVec &vertAttributes)
void | operator() (const GA_SplittableRange &) const

## Member Typedef Documentation

## AttrCopyPtrVec

template<class GridType>

using AttrCopyPtrVec = std::vector<AttributeCopyBase::Ptr>

## IndexAccT

template<class GridType>

using IndexAccT = typename GridType::ConstAccessor

## IndexT

template<class GridType>

using IndexT = typename GridType::ValueType

## Constructor & Destructor Documentation

## TransferPrimitiveAttributesOp()

template<class GridType>

TransferPrimitiveAttributesOp | ( | const GU_Detail & | sourceGeo,
|  | GU_Detail & | targetGeo,
|  | const GridType & | indexGrid,
|  | AttrCopyPtrVec & | primAttributes,
|  | AttrCopyPtrVec & | vertAttributes )

inline

## Member Function Documentation

## operator()()

template<class GridType>

void operator() | ( | const GA_SplittableRange & | range | ) | const

inline